> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find alert by ID



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/alerts/{id}
openapi: 3.0.0
info:
  title: Trusto API Documentation
  description: API documentation Trusto chargeback alerts resolution
  version: '1.0'
  contact: {}
servers:
  - url: https://api.trusto.one
    description: Sandbox environment
  - url: https://api.trusto.io
    description: Production environment
security: []
tags:
  - name: Alerts
    description: Alerts lookup and view
  - name: Resolutions
    description: Providing resolutions to the alerts
paths:
  /api/v1/alerts/{id}:
    get:
      tags:
        - Alerts
      summary: Find alert by ID
      operationId: AlertsController_findOne
      parameters:
        - name: id
          required: true
          in: path
          description: Alert ID
          schema:
            example: 123e4567-e89b-12d3-a456-426614174000
            type: string
      responses:
        '200':
          description: Return alert by id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
        '403':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Alert not found
          content:
            application/json:
              example:
                message: Alert with id 123e4567-e89b-12d3-a456-426614174000 not found
      security:
        - bearer: []
components:
  schemas:
    Alert:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the alert in the Trusto system
          format: uuid
          example: 3114afe2-9996-48c9-88cb-3c9fc6a88414
        providerId:
          type: string
          description: The unique identifier of the alert from the provider
          example: 5F2RE3960S9ASDC2F026BF16
        provider:
          type: string
          description: The provider of the alert
          enum:
            - ETHOCA
            - VERIFI
          example: ETHOCA
        type:
          type: string
          description: Alert type
          enum:
            - ETHOCA_CONFIRMED_FRAUD
            - ETHOCA_CUSTOMER_DISPUTE
          example: ETHOCA_CONFIRMED_FRAUD
        alertTimeStamp:
          format: date-time
          type: string
          description: The timestamp of the alert registration
          example: '2024-12-12T12:00:00Z'
        enrollmentId:
          type: string
          description: ID of the enrollment that alert is associated with
          format: uuid
          example: 3114afe2-9996-48c9-88cb-3c9fc6a88414
        companyId:
          type: string
          description: ID of the company that alert is associated with
          format: uuid
          example: ab14afe2-9996-48c9-88cb-3c9fc6a88414
        issuer:
          type: string
          description: Issuer of the alert
          example: HSBC
        cardBin:
          type: string
          description: The bin of the card - first 6 or 8 digits
          example: '483442'
        cardLastFour:
          type: string
          description: The last 4 digits of the card
          example: '1234'
        cardExpirationDate:
          type: string
          description: The expiration date of the card
          example: 12/25
        acquirerBin:
          type: string
          description: The acquirer bin of the alert (VERIFI only)
          example: '48344223'
        status:
          type: string
          description: The status of the alert
          enum:
            - NEW
            - OPEN
            - RESOLVED
            - REFUNDED
            - PROCESSING
            - NOT_FOUND
            - CHARGEBACK
            - OTHER
            - EXPIRED
          example: OPEN
        ruleType:
          type: string
          description: The rule type that has triggered the resolution (VERIFI only)
          example: amount
        ruleName:
          type: string
          description: The rule name that has triggered the resolution (VERIFI only)
          example: Above 10 AED
        installmentNumber:
          type: string
          description: The number of the installment (VERIFI only)
          example: '1'
        pricingTier:
          type: string
          description: The pricing tier of the alert (VERIFI only)
          example: Tier 2
        transactionTimeStamp:
          type: string
          description: The timestamp of the transaction in UTC TZ
          format: date-time
          example: '2024-12-12T12:00:00Z'
        merchantDescriptor:
          type: string
          description: The merchant descriptor
          example: MERCHANT STORE 1
        descriptorContact:
          type: string
          description: The contact assigned to merchant descriptor
          example: John Doe / 971582212233
        ethocaMergantId:
          type: string
          description: The merchant id in Ethoca system (ETHOCA only)
          example: '123456'
        merchantId:
          type: string
          description: The generic merchant ID
          example: MERCHANTSTORE123
        merchantOrderId:
          type: string
          description: The order ID provided by the merchant
          example: ORDER123
        merchantName:
          type: string
          description: The merchant name
          example: Ecommerce Merchant LLC
        partnerId:
          type: string
          description: The partner ID (VERIFI only)
          example: ABC123456
        partnerName:
          type: string
          description: The partner name (VERIFI only)
          example: Partner Merchant LLC
        clientName:
          type: string
          description: The client name (VERIFI only)
          example: John Doe
        caid:
          type: string
          description: The descriptor CAID (VERIFI only)
          example: '12345678'
        mcc:
          type: string
          description: The merchant category code (MCC)
          example: '3901'
        amount:
          type: number
          description: The amount of the dispute
          example: 100.12
        currency:
          type: string
          description: The currency of the dispute
          example: AED
        transactionType:
          type: string
          description: The type of the card entry for the transaction
          enum:
            - keyed
            - swiped
            - eCommerce
            - unknown
          example: eCommerce
        initiatedBy:
          type: string
          description: The initiator of the alert
          enum:
            - issuer
            - cardholder
            - not_available
          example: cardholder
        authCode:
          type: string
          description: The authorization code of the acquirer
          nullable: true
          example: '123456'
        source:
          type: string
          description: The source of the alert
          nullable: true
          example: Portal
        reasonCode:
          type: string
          description: The reason code of the chargeback
          nullable: true
          example: UAU123
        acquirerReferenceNumber:
          type: string
          description: The acquirer reference number
          nullable: true
          example: '123456'
        transactionId:
          type: string
          description: The transaction ID (ETHOCA only)
          nullable: true
          example: TRANS123456789
        chargebackAmount:
          type: number
          description: The amount of the chargeback (ETHOCA only)
          nullable: true
          example: 100.12
        chargebackCurrency:
          type: string
          description: The currency of the chargeback (ETHOCA only)
          nullable: true
          example: AED
        paymentType:
          type: string
          description: The payment type of the alert
          nullable: true
          example: Credit Card
        createdAt:
          type: string
          description: The created date of the alert in the Trusto system
          format: date-time
          example: '2024-12-12T12:00:00Z'
        updatedAt:
          type: string
          description: The updated date of the alert in the Trusto system
          format: date-time
          example: '2024-12-12T12:00:00Z'
      required:
        - id
        - providerId
        - provider
        - type
        - alertTimeStamp
        - enrollmentId
        - companyId
        - issuer
        - cardBin
        - cardLastFour
        - cardExpirationDate
        - acquirerBin
        - status
        - ruleType
        - ruleName
        - installmentNumber
        - pricingTier
        - transactionTimeStamp
        - merchantDescriptor
        - descriptorContact
        - ethocaMergantId
        - merchantId
        - merchantOrderId
        - merchantName
        - partnerId
        - partnerName
        - clientName
        - caid
        - mcc
        - amount
        - currency
        - transactionType
        - initiatedBy
        - authCode
        - source
        - reasonCode
        - acquirerReferenceNumber
        - transactionId
        - chargebackAmount
        - chargebackCurrency
        - paymentType
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````